//scorm
var InternetExplorer = navigator.appName.indexOf("Microsoft") != -1;
var findAPITries = 0;
var gbScormInited = false

function fSCORMinitializeSCO() {
	fDebug("fn fSCORMinitializeSCO: ");
	if ((LMSAPI) && (!gbScormInited)) {
		gbScormInited = LMSAPI.LMSInitialize("");
		fSCORMerror();
	} else fDebug("-- LMSAPI not found or already initialized");
}

function fSCORMfinishSCO() {
	fDebug("fn fSCORMfinishSCO: ");
	if ((LMSAPI) && (gbScormInited)) {
		//alert("LMS finish");
		gbScormInited = !(LMSAPI.LMSFinish (""));
		fSCORMerror();
	} else fDebug("-- LMSAPI not initialized or not found");
}

function fSCORMsetvalue(tvData, tsValue, tbCommit) {
	fDebug("fn fSCORMsetValue: ");
	if ((LMSAPI) && (gbScormInited)) {
		LMSAPI.LMSSetValue (tvData, tsValue)
		if (tbCommit) LMSAPI.LMSCommit("");
		fSCORMerror();
	} 
	fDebug("-- tvData: " + tvData + ", tsValue: " + tsValue);
}

function fSCORMgetvalue (tsValue) {
	fDebug("fn fSCROMgetvalue: ");
	var mvValue = "";
	if (LMSAPI)
		var mvValue = LMSAPI.LMSGetValue (tsValue);
	else fDebug("-- LMSAPI not initialized or not found");
		
	fDebug("-- tsValue: " + tsValue + ", mvValue: " + mvValue);

	return mvValue
}

function fSCORMerror() {
	//fDebug("fn fSCORMerror: "+LMSAPI);
	if (LMSAPI) {
		var msErrNum = LMSAPI.LMSGetLastError();
		var msErrDesc = LMSAPI.LMSGetErrorString(msErrNum);
		//if (msErrNum != "0")
			fDebug ("SCORM error = " + msErrNum + ":" + msErrDesc);
	} else fDebug("-- LMSAPI not found");
}

function findAPI(win)
{
   // Check to see if the window (win) contains the API
   // if the window (win) does not contain the API and
   // the window (win) has a parent window and the parent window  
   // is not the same as the window (win)
   while ( (win.API == null) && 
           (win.parent != null) && 
           (win.parent != win) )
   {
      // increment the number of findAPITries
      findAPITries++;
      // Note: 20 is an arbitrary number, but should be more than sufficient
      if (findAPITries > 20) 
      {
         alert("Error finding API -- too deeply nested.");
         return null;
      }
      
      // set the variable that represents the window being 
      // being searched to be the parent of the current window
      // then search for the API again
      win = win.parent;
   }
   return win.API;
}

function getAPI()
{
   // start by looking for the API in the current window
   var lwindow = parent.window
   var theAPI = findAPI(lwindow);
   // if the API is null (could not be found in the current window)
   // and the current window has an opener window
   if ( (theAPI == null) && 
        (lwindow.opener != null) && 
        (typeof(lwindow.opener) != "undefined") )
   {
      // try to find the API in the current window's opener
      theAPI = findAPI(lwindow.opener);
   }
   // if the API has not been found
   if (theAPI == null)
   {
      // Alert the user that the API Adapter could not be found
	  //fDebug("-- Unable to find an API adapter");
   }
   return theAPI;
}

var LMSAPI = getAPI();